// Déclaration des constantes et variables

const int PinLED = 9;
const int PinButton = 12;

int ValButton = 0;


// Initialisation des entrées et sorties

void setup() {  
  pinMode (PinLED, OUTPUT);
  pinMode (PinButton, INPUT);
}


// Fonction principale en boucle

void loop() {
  ValButton = digitalRead(PinButton);
  if (ValButton == HIGH) {
    digitalWrite(PinLED, HIGH);
  }
  else {
    digitalWrite(PinLED, LOW);
  }
}

